import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePaymentGetKillersOfKillhousesInfo = createAsyncThunk(
  "PROVINCE_GET_KILLERS_OF_KILLHOUSES_INFO",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        "total-wage-exclusive-killer-information/",
        {
          params: {
            ...d,
          },
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data };
    }
  }
);
